/**
 * @file
 * Provides the Range datepicker functionality.
 */

(function ($) {

  'use strict';

  Drupal.facets = Drupal.facets || {};

  Drupal.behaviors.facet_datepicker = {
    attach: function (context, settings) {
      $('.facets-widget-datepicker #date-min').on("change", function () {
        window.location.href = settings.facets.datepicker.date.url.replace('__datepicker_min__', toTimestamp($(this).val()));
      });

      $(".facet-datepicker-submit").on("click", function () {
        let min = toTimestamp($(this).parents('.facets-widget-range_datepicker').find('#date-min').val());
        let max = toTimestamp($(this).parents('.facets-widget-range_datepicker').find('#date-max').val());

        if (min > 0 && max > 0) {
          window.location.href = settings.facets.datepicker.date.url.replace('__range_datepicker_min__', min).replace('__range_datepicker_max__', max + 86399);
        }
      });

      function toTimestamp(strDate) {
        var datum = Date.parse(strDate);
        return datum / 1000;
      }
    }
  };

})(jQuery);
